Step 5 Fails During Upgrade to 4.5.0 on Oracle Big Data Appliance when Spark Standalone is installed on Secure Cluster with Hadoop::Installcdhparcel/Exec[deployparcel] -"Spark Standalone does not work in clusters with Kerberos authentication" Errors (Doc ID 2158344.1)

Last updated on JULY 07, 2016

Applies to:

Big Data Appliance Integrated Software - Version 4.5.0 and later
Linux x86-64

Symptoms

During upgrade to 4.5.0 on Oracle Big Data Appliance, Step 5 failed with the error messages below:

INFO: Puppet script successfully sent to node bda1node18
INFO: Pinging puppet agents ...........
INFO: Puppet agent run on node bda1node01 completed successfully.
INFO: Check the log file in /opt/oracle/BDAMammoth/bdaconfig/tmp/pagent-bda1node01-20160706164902.log
INFO: Puppet agent run on node bda1node02 completed successfully.
INFO: Check the log file in /opt/oracle/BDAMammoth/bdaconfig/tmp/pagent-bda1node02-20160706164902.log
ERROR: Puppet agent run on node jbd1node03 had errors. List of errors follows

************************************
Error [62087]: (//bda1node03.example//Stage[main]/Hadoop::Installcdhparcel/Exec[deployparcel]/returns) change from notrun to 0 failed: /opt/oracle/BDAMammoth/bdaconfig/tmp/deployparcel.sh &> /opt/oracle/BDAMammoth/bdaconfig/tmp/deployparcel_1467840323.out returned 1 instead of one of [0]
************************************

INFO: Also check the log file in /opt/oracle/BDAMammoth/bdaconfig/tmp/pagent-bda1node03-20160706164902.log

...
ERROR: Step 5 failed
ERROR: Cannot continue with operation
INFO: Time spent in step 5 InstallHadoop is 4925 seconds.
INFO: Running bdadiagcluster...
INFO: Please get the Big Data Appliance cluster diagnostic bundle at /tmp/bdadiagcluster_1467842016.zip
Exiting...

 

 deployparcel_1467840323.out shows:

Command 10323 finished after 5 seconds
Operation failed
Result Message is: "Failed to upgrade cluster: Spark Standalone does not work in clusters with Kerberos authentication. Spark on YARN supports Kerberos and is recommended over Spark Standalone. Either disable Kerberos or remove Spark Standalone before upgrading.",

 

 

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms